/* ===== PROFILE SECTION ===== */
.profile {
    position: relative;
    bottom: -5rem;
    z-index: 10;
    border-radius: 1rem;
    background: var(--white);
    filter: drop-shadow(0 25px 25px rgba(0, 0, 0, 0.1));
    box-shadow: 0 25px 50px -12px rgba(255, 255, 255, 0.5);
    padding: 1rem;
    margin: 0 1rem;
}

@media (min-width: 640px) {
    .profile {
        padding: 2.5rem;
    }
}

@media (min-width: 768px) {
    .profile {
        padding: 4rem;
    }
}

@media (min-width: 1024px) {
    .profile {
        padding: 5rem;
        bottom: -7rem;
    }
}

@media (min-width: 1280px) {
    .profile {
        padding: 7rem;
        margin-bottom: 1.25rem;
    }
}

@media (min-width: 1320px) {
    .profile {
        margin: 0 0.125rem;
    }
}

.profile-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1.5rem;
}

@media (max-width: 767px) {
    .profile-inner {
        flex-direction: column;
    }
}

/* Profile image */
.profile-image-container {
    width: auto;
    height: auto;
}

@media (min-width: 1320px) {
    .profile-image-container {
        max-width: 26.5rem;
        max-height: 31.5rem;
    }
}

.profile-image-frame {
    max-width: 26.5rem;
    height: 29.25rem;
    overflow: hidden;
    border-radius: 0.75rem;
}

.profile-image-frame img {
    background: var(--soft-white);
    height: 120%;
    object-fit: cover;
}

/* Social media in profile */
.profile-social-wrapper {
    position: relative;
    bottom: 2.25rem;
}

.profile-social-inner {
    display: flex;
    justify-content: center;
}

.profile-social-bar {
    padding: 0.75rem 1.5rem;
    max-width: 16.5rem;
    z-index: 50;
    text-align: center;
    background: var(--white);
    border-radius: 4px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 25px 50px -12px rgba(255, 255, 255, 0.5);
    filter: drop-shadow(0 25px 25px rgba(0, 0, 0, 0.15));
}

/* Social media icons */
.social-icon {
    color: var(--picto-primary);
    padding: 0.5rem;
    padding-top: 0.75rem;
    border-radius: 0.375rem;
    transition: var(--transition-fast);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 1.25rem;
}

@media (min-width: 363px) {
    .social-icon {
        padding: 0.625rem;
        padding-top: 0.9375rem;
    }
}

@media (min-width: 640px) {
    .social-icon {
        padding: 0.75rem;
        padding-top: 1rem;
    }
}

@media (min-width: 768px) {
    .social-icon {
        padding: 0.9375rem;
        padding-top: 1.25rem;
    }
}

.social-icon:hover {
    background-color: var(--picto-primary);
    color: var(--white);
}

/* Profile text */
.profile-text {
    width: 33rem;
}

@media (max-width: 639px) {
    .profile-text {
        width: 100%;
    }
}

.profile-title {
    font-size: 1.5rem;
    font-weight: 600;
    margin-bottom: 2rem;
}

@media (min-width: 340px) {
    .profile-title {
        font-size: 1.875rem;
    }
}

@media (min-width: 640px) {
    .profile-title {
        font-size: 2.25rem;
    }
}

@media (min-width: 1024px) {
    .profile-title {
        font-size: 2.375rem;
    }
}

@media (max-width: 767px) {
    .profile-title {
        text-align: center;
    }
}

.profile-desc {
    font-size: 0.75rem;
    font-weight: 400;
    color: var(--gray-600);
}

@media (min-width: 363px) {
    .profile-desc {
        font-size: 1rem;
    }
}

@media (min-width: 1024px) {
    .profile-desc {
        font-size: 1.125rem;
    }
}

@media (max-width: 767px) {
    .profile-desc {
        text-align: center;
    }
}

.profile-desc p+p {
    margin-top: 0.75rem;
}

/* Profile buttons */
.profile-buttons {
    margin-top: 2rem;
    display: flex;
    gap: 1rem;
}

@media (max-width: 767px) {
    .profile-buttons {
        justify-content: center;
    }
}

.profile-btn-projects {
    font-size: 0.75rem;
    padding: 0.625rem 1rem;
}

@media (min-width: 340px) {
    .profile-btn-projects {
        font-size: 0.875rem;
        padding: 0.75rem 1.5rem;
    }
}

@media (min-width: 640px) {
    .profile-btn-projects {
        font-size: 1rem;
    }
}

.profile-btn-cv {
    font-size: 0.75rem;
    padding: 0.625rem 1rem;
}

@media (min-width: 340px) {
    .profile-btn-cv {
        font-size: 0.875rem;
        padding: 0.75rem 1.5rem;
    }
}

@media (min-width: 640px) {
    .profile-btn-cv {
        font-size: 1rem;
    }
}